package com.loh.dao;

import com.loh.model.HouseType;
import com.loh.model.HouseTypeExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface HouseTypeMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table house_type
     *
     * @mbg.generated
     */
    long countByExample(HouseTypeExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table house_type
     *
     * @mbg.generated
     */
    int deleteByExample(HouseTypeExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table house_type
     *
     * @mbg.generated
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table house_type
     *
     * @mbg.generated
     */
    int insert(HouseType record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table house_type
     *
     * @mbg.generated
     */
    int insertSelective(HouseType record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table house_type
     *
     * @mbg.generated
     */
    List<HouseType> selectByExample(HouseTypeExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table house_type
     *
     * @mbg.generated
     */
    HouseType selectByPrimaryKey(Integer id);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table house_type
     *
     * @mbg.generated
     */
    int updateByExampleSelective(@Param("record") HouseType record, @Param("example") HouseTypeExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table house_type
     *
     * @mbg.generated
     */
    int updateByExample(@Param("record") HouseType record, @Param("example") HouseTypeExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table house_type
     *
     * @mbg.generated
     */
    int updateByPrimaryKeySelective(HouseType record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table house_type
     *
     * @mbg.generated
     */
    int updateByPrimaryKey(HouseType record);
}